// pages/howtouse/howtouse.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgs:[1,2,3,4,5,6,7],
    imgUrls:[],
    baseUrl: getApp().globalData.postHeadAgreement.substring(getApp().globalData.postHeadAgreement,getApp().globalData.postHeadAgreement.indexOf("/",8))
    
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    let imgUrls = [];
    for(let i=0;i<this.data.imgs.length;i++){
      imgUrls.push(this.data.baseUrl + "/web/profile/avatar/howtouse/" + this.data.imgs[i] + ".jpg");
    }
    console.info(imgUrls)
    this.setData({
      imgUrls
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },  
  previewImage(e){
    console.info(e)
    var that = this,
    
    //获取当前图片的下表
      index = e.currentTarget.dataset.index,
      //数据源
      imgUrls = this.data.imgUrls;
    wx.previewImage({
    //当前显示下表
     current: imgUrls[index],
     //数据源
     urls: imgUrls
    })
  },
})